# $Revision: 1.49 $, $Date: 2006/01/21 00:01:17 $
Summary:	POSIX.1e capability suite
Summary(pl):	Wsparcie dla standardu "capability" POSIX.1e
Summary(pt_BR):	Biblioteca para leitura e configurao de capabilities.
Name:		libcap
Version:	1.10
Release:	5
Epoch:		1
License:	GPL or BSD
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2/%{name}-%{version}.tar.gz
# Source0-md5:	2c09eea823f67cfdde96177a959bc39b
Patch0:		%{name}-1.92-make.patch
Patch1:		%{name}-link.patch
URL:		http://www.kernel.org/pub/linux/libs/security/linux-privs/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin

%description
The POSIX.1e capability library for Linux. This package contains the
getcap and setcap binaries and manual pages.

%description -l pl
Biblioteka, programy oraz strony manuala zawierajce implementacj
"capability" standardu POSIX.1e.

%description -l pt_BR
Biblioteca para leitura e configurao de capabilities.

%package devel
Summary:	Header files and development documentation for libcap
Summary(pl):	Pliki nagwkowe i dokumentacja do libcap
Summary(pt_BR):	Arquivos de desenvolvimento para capabilities
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for libcap.

%description devel -l pl
Pliki nagwkowe i dokumentacja do libcap.

%description devel -l pt_BR
Arquivos de desenvolvimento para capabilities.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	COPTFLAG="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	FAKEROOT=$RPM_BUILD_ROOT \
	LIBDIR=$RPM_BUILD_ROOT/%{_lib} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_libdir}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib}; echo libcap.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libcap.so

# newer versions exist in man-pages
# and these syscalls are specific to Linux/glibc, not libcap
rm -f $RPM_BUILD_ROOT%{_mandir}/man2/cap{get,set}.2

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG License README
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) /%{_lib}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/sys/capability.h
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcap.spec,v $
Revision 1.49  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.48  2005/12/25 16:02:19  qboosh
- moved libcap.so devel link to plain libdir
- remove capget/capset syscall manuals (newer versions exist in man-pages)
- release 5

Revision 1.47  2004/08/03 19:22:07  qboosh
- updated link patch to not duplicate libc functions and fix build on ia64
- release 4

Revision 1.46  2004/05/27 12:56:50  blues
- release 3 for AC

Revision 1.45  2004/03/12 12:02:49  pluto
- strict deps.

Revision 1.44  2004/01/02 17:40:03  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.43  2003/12/18 23:12:06  jajcus
- fixed to install into /%{_lib}

Revision 1.42  2003/10/24 17:43:32  qboosh
- updated URL, more docs

Revision 1.41  2003/10/23 22:57:46  arekm
- back to 1.10 version which is never than 1.92 btw (it seems that 1.92 was only as experiment)

Revision 1.40  2003/09/11 11:33:57  malekith
- release 6
- fixed link patch (fix problem with zsh [ -x ... ] printing numbers)

Revision 1.39  2003/08/25 08:54:40  mmazur
- rel5 for ac

Revision 1.38  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.37  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.36  2003/07/26 22:04:21  qboosh
- updated link patch to use -fPIC when compiling shared library
  (bleh, with hack for _syscall2 not supporting PIC on x86)

Revision 1.35  2003/07/23 00:45:03  undefine
- add pt_BR translation

Revision 1.34  2003/06/26 14:26:10  mmazur
- -fPIC only on alpha

Revision 1.33  2003/06/26 13:25:43  mmazur
- added -fPIC to CFLAGS as my alpha blew up
- we realy should keep in mind that forcing our options is not always the best
  idea. Yes - some authors know better.

Revision 1.32  2003/05/27 09:47:07  trojan
- added Source-md5

Revision 1.31  2003/05/25 05:49:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/01/29 15:39:30  qboosh
- fixed optflags passing

Revision 1.29  2002/10/22 21:49:51  qboosh
- link patch (link *.so using gcc not ld to avoid binary compatibility problems)
- release 4

Revision 1.28  2002/08/18 15:01:35  blues
- release 3 - license fix

Revision 1.27  2002/06/28 19:20:52  blues
- new doc

Revision 1.26  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/07 02:32:04  kloczek
- typo.

Revision 1.24  2002/02/07 02:20:30  kloczek
- release 2: spec adapterized and added using more macros.

Revision 1.23  2002/02/02 20:20:34  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.22  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/05/02 16:29:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.20  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.18  2000/05/19 08:17:20  mis
- typos

Revision 1.17  2000/04/25 13:13:34  baggins
- library 1.92 for kernel 2.3

Revision 1.16  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.14  2000/02/09 05:28:12  kloczek
- release 2,
- man pages level 2 moved to devel subpackage.

Revision 1.13  1999/11/19 09:44:20  kloczek
- updated to 1.10.

Revision 1.12  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.03-1]
- now package is FHS 2.0 compliant,
- recompiled on new rpm.
- more rpm macros.

* Sat Apr 24 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.02-1]
- removed "Conflicts: glibc <= 2.0.7" (not neccessary now),
- recompiles on new rpm.

* Mon Mar 15 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0-1]
- strip shared libraries with --strip-unneeded.

* Sun Mar 14 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- updated to 1.0,
- fixed duplicate libs in devel subpackage,
- added Group(pl) in main package,
- compressed documentation.

* Thu Mar 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.122-2]
- added URL,
- added devel subpackage,
- added stripping shared libraries,
- added "Conflicts: glibc <= 2.0.7" for installing libcap in proper
  enviroment,
- removed man group from man pages.

* Tue Sep 22 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.122-1d]
- updated to 0.122,
- added %changelog,
- translation modified for pl
  (prepared by Krzysztof Baranowski <kgb@knm.org.pl>),
- build against GNU libc-2.1.
